Summary: Display stack trace of a running process
Name: pstack
Version: 1.2
Release: 6
Copyright: GPL
Group: Development/Debuggers
BuildRoot: %{_tmppath}/%{name}-root
Requires:	gdb >= 6.1post-1.20040607.62

%description
pstack dumps a stack trace for a process, given the pid of that
process.  If the process named is part of a thread group, then all the threads
in the group are traced.

%prep

%build

%install
rm -f %{buildroot}%{_bindir}/pstack
mkdir -p %{buildroot}%{_bindir}
ln -s gstack %{buildroot}%{_bindir}/pstack

rm -f %{buildroot}%{_mandir}/man1/pstack.1
mkdir -p %{buildroot}%{_mandir}/man1
cat <<MANPAGE > %{buildroot}%{_mandir}/man1/pstack.1
.\"
.\" pstack manual page.
.\" Copyright (c) 1999 Ross Thompson
.\" Copyright (c) 2001, 2002, 2004 Red Hat, Inc.
.\"
.\" Original author: Ross Thompson <ross@whatsis.com>
.\"
.\" This program is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2, or (at your option)
.\" any later version.
.\"
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program; see the file COPYING.  If not, write to
.\" the Free Software Foundation, 59 Temple Place - Suite 330,
.\" Boston, MA 02111-1307, USA.
.\"
.TH PSTACK 1 "Dec 17 2004" "Red Hat Linux" "Linux Programmer's Manual"

.SH NAME
pstack \- print a stack trace of a running process

.SH SYNOPSIS
.B pstack
pid

.SH DESCRIPTION

\f3pstack\f1 attaches to the active process named by the \f3pid\f1 on
the command line, and prints out an execution stack trace.  If ELF
symbols exist in the binary (usually the case unless you have run
strip(1)), then symbolic addresses are printed as well.

If the process is part of a thread group, then \f3pstack\f1 will print
out a stack trace for each of the threads in the group.

.SH SEE ALSO
nm(1), ptrace(2), gdb(1)

.SH AUTHORS
Ross Thompson <ross@whatsis.com>

Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
MANPAGE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/pstack
%{_mandir}/man1/pstack.*

%changelog
* Wed Dec 16 2004 Andrew Cagney <cagney@redhat.com>
- Make per-arch (as it needs to update an i386 arch).

* Wed Dec 16 2004 Andrew Cagney <cagney@redhat.com>
- Replace pstack the program with links to gstack the script (i.e., it
  is noarch).

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Nov 12 2003 Roland McGrath <roland@redhat.com> 1.2-3
- updated linuxthreads support for newer linuxthreads internals (#107305)
- avoid buffer overflow in symbol printing (#109642)

* Thu Sep 18 2003 Jakub Jelinek <jakub@redhat.com> 1.1-7
- don't crash if one of shared libraries has stripped .symtab/.strtab
  (#98162)

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Feb 22 2003 Jakub Jelinek <jakub@redhat.com>
- rebuilt

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 28 2002 Jakub Jelinek <jakub@redhat.com>
- build on x86 only

* Mon Feb 25 2002 Preston Brown <pbrown@redhat.com>
- initial packaging
